#!/usr/bin/env sh
dir=$(dirname $(realpath $0))
svg_data=$(curl --silent https://git.purser.it/roypur/stream-api/raw/branch/master/frontend/favicon-basic.svg)

echo ${svg_data} | inkscape --pipe --export-area-page  --export-width=16  --export-height=16  --export-filename="${dir}/chrome/icon-16.png"
echo ${svg_data} | inkscape --pipe --export-area-page  --export-width=19  --export-height=19  --export-filename="${dir}/chrome/icon-19.png"
echo ${svg_data} | inkscape --pipe --export-area-page  --export-width=38  --export-height=38  --export-filename="${dir}/chrome/icon-38.png"
echo ${svg_data} | inkscape --pipe --export-area-page  --export-width=48  --export-height=48  --export-filename="${dir}/chrome/icon-48.png"
echo ${svg_data} | inkscape --pipe --export-area-page --export-width=128 --export-height=128 --export-filename="${dir}/chrome/icon-128.png"
